summaryrefslogtreecommitdiffstats
path: root/.devcontainer/act4e-check
diff options
context:
space:
mode:
authorAndrea Censi <AndreaCensi@users.noreply.github.com>2023-05-26 17:41:21 +0200
committerAndrea Censi <AndreaCensi@users.noreply.github.com>2023-05-26 17:41:21 +0200
commitc9c025618571db61d431924934eef6d01a30182a (patch)
tree4c1931472cdad12648a52eb95d0da2e7762bfbff /.devcontainer/act4e-check
parentinit (diff)
downloadact4e-mcdp-c9c025618571db61d431924934eef6d01a30182a.tar.gz
act4e-mcdp-c9c025618571db61d431924934eef6d01a30182a.zip
misc
Diffstat (limited to '.devcontainer/act4e-check')
-rw-r--r--.devcontainer/act4e-check16
1 files changed, 16 insertions, 0 deletions
diff --git a/.devcontainer/act4e-check b/.devcontainer/act4e-check
new file mode 100644
index 0000000..d4fd9e7
--- /dev/null
+++ b/.devcontainer/act4e-check
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -eux
+if [ $# -eq 0 ]
+ then
+ act4e-test --collections act4e_checks --module act4e_solutions
+else
+if [ $# -eq 1 ]
+ then
+ act4e-test --collections act4e_checks --module act4e_solutions --group $1
+else
+ echo "Need to pass either 0 or 1 argument"
+ exit 3
+fi
+fi
+
+